# $Revision: 1.8 $, $Date: 2004/04/08 17:34:36 $
Summary:	SKK like Japanese-input application
Summary(pl):	Aplikacja do wprowadzania znakw japoskich w stylu SKK
Name:		skkinput
Version:	3.0.6
Release:	2
License:	GPL
Group:		X11/Applications
#Source0Download: http://www.tatari-sakamoto.jp/~tatari/skkinput3.jis.html
Source0:	http://member.nifty.ne.jp/Tatari_SAKAMOTO/arc/%{name}-%{version}.tar.gz
# Source0-md5:	96b4a37e71bb415b6fced59bbc02372e
Source1:	%{name}.1x
Patch0:		%{name}-fontset.patch
URL:		http://www.tatari-sakamoto.jp/~tatari/skkinput3.jis.html
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults

%description
skkinput is a kana to kanji converter with kinput protocol, kinput2
protocol, Ximp Protocol, X Input Method (X11R6 standard) under X
Window System.

%description -l pl
skkinput jest konwerterem kana do kanji z protokoami kinput, kinput2,
Ximp oraz standardow metod wprowadzania pod X11R6.

%prep
%setup -q
%patch0 -p1

%ifarch sparc sparc64 sparcv9
# no O_FSYNC here (on other archs it's #defined to O_SYNC)
%{__perl} -pi -e 's/O_FSYNC/O_SYNC/' lib/lisp/stfiles.c
%endif

%build
xmkmf -a
%{__make} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}" \
	ELISP_DIR=%{_datadir}/skkinput

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}/ja/man1 \
	ELISP_DIR=%{_datadir}/skkinput

install -d $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc dot.skkinput
%lang(ja) %doc ChangeLog README-lisp.jis README.jis 
%attr(755,root,root) %{_bindir}/*
%{_datadir}/skkinput
%{_appdefsdir}/Skkinput
%{_mandir}/man1/*
# empty
#%lang(ja) %{_mandir}/ja/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: skkinput.spec,v $
Revision 1.8  2004/04/08 17:34:36  qboosh
- fixed build on sparc, release 2

Revision 1.7  2004/04/08 16:58:15  qboosh
- updated to 3.0.6, updated fontset patch, fixed build

Revision 1.6  2003/05/28 13:01:52  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:26:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.3  2002/11/30 23:00:27  juandon
- new %%doc

Revision 1.2  2002/03/08 01:38:35  kloczek
- cut chengelog.

Revision 1.1  2002/03/07 23:45:56  qboosh
- spec, patch and man page based on those from RedHat

Based on spec by SATO Satoru <ssato@redhat.com>
